Bug 166651 - rc.sysinit needs modularization
rc.sysinit needs modularization
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-08-24 08:23 EDT by Jablonovsky Alexander
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-24 11:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jablonovsky Alexander 2005-08-24 08:23:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ru-RU; rv:1.7.6) Gecko/20050319

Description of problem:
Is's not a bug, but request for enhancement. rc.sysinit is too complex now,
depends of many various software details and subject to patch with any reffered program/package update. This is bad! Why don't split it into pieces like other
part of initscripts? The system halt is runlevel 0, reboot - 6. Why don't make
another special runlevel for the system start? Let's make init going into runlevel
7 first at power up, then to "normal" runlevel like 5. Initscripts tasks become services running on runlevel 7 and may be moved from initscripts to its
"native" packages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.less /etc/rc.d/rc.sysinit :)

Additional info:
Comment 1 Jesse Keating 2005-08-24 11:24:32 EDT
Nice idea, but not going to happen in RHL9.  Try asking in the Fedora Core
development tree.
Comment 2 Jablonovsky Alexander 2005-08-25 09:20:50 EDT
(In reply to comment #1)
Sorry, but I can't find another way to contact the initscripts developers. RHL9
is here only because the Bugzilla framework requires version info and RHL9 is
what I'm running now.

Note You need to log in before you can comment on or make changes to this bug.